#
# Conditional build:
%bcond_without	ocaml_opt	# native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), update when upstream will support it
%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

Summary:	PCRE binding for OCaml
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla
Name:		ocaml-pcre
Version:	7.5.0
Release:	1
License:	LGPL v2.1+ with OCaml linking exception
Group:		Libraries
#Source0Download: https://github.com/mmottl/pcre-ocaml/releases
Source0:	https://github.com/mmottl/pcre-ocaml/releases/download/%{version}/pcre-%{version}.tbz
# Source0-md5:	3f91ab553a59b661e5e7debbb876918c
URL:		http://mmottl.github.io/pcre-ocaml/
BuildRequires:	ocaml >= 1:4.12
BuildRequires:	ocaml-dune >= 2.7
BuildRequires:	ocaml-findlib >= 1.5
BuildRequires:	pcre-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{without ocaml_opt}
%define		no_install_post_strip	1
# no opt means no native binary, stripping bytecode breaks such programs
%define		_enable_debug_packages	0
%endif

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	PCRE binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n pcre-%{version}

%build
dune build --display=verbose

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs

dune install --destdir=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# sources
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/*.ml
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc/pcre

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.md README.md
%dir %{_libdir}/ocaml/pcre
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllpcre_stubs.so
%{_libdir}/ocaml/pcre/META
%{_libdir}/ocaml/pcre/pcre.cma
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/pcre/pcre.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/pcre/dune-package
%{_libdir}/ocaml/pcre/opam
%{_libdir}/ocaml/pcre/libpcre_stubs.a
%{_libdir}/ocaml/pcre/pcre.cmi
%{_libdir}/ocaml/pcre/pcre.cmt
%{_libdir}/ocaml/pcre/pcre.cmti
%if %{with ocaml_opt}
%{_libdir}/ocaml/pcre/pcre.a
%{_libdir}/ocaml/pcre/pcre.cmx
%{_libdir}/ocaml/pcre/pcre.cmxa
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-pcre.git;a=log;h=master

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 56935b5
- updated to 7.5.0

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> f6ff52b
- update META file location
- rel 2

* Wed Mar 24 2021 Jan Rękorajski <baggins@pld-linux.org> 2447602
- up to 7.4.6

* Sat Jun 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 45793ec
- updated to 7.2.3
- drop annot files

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 873b513
- rebuild with ocaml 4.04.1
- release 4 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1c767c5
- release 3 (by relup.sh)

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d5e2f0
- dynlinkable modules (.cmxs, .cma) moved to base subpackages
- release 2

* Sat Jul 18 2015 Jakub Bogusz <qboosh@pld-linux.org> b2e2e7a
- updated to 7.1.5

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 9361479
- added ocaml_opt bcond
- rel 2

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 10b1e4d
- new URLs, updated to 7.1.2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> c2b0fe2
- rebuild with ocaml 4.02
- release 4 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 068d9e5
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> afe99f2
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> d90ed78
- new URLs, updated to 7.0.2

* Thu Mar 29 2012 Jan Rękorajski <baggins@pld-linux.org> a92fb5e
- release 2

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 654d7db
- make test

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> e288de6
- 6.2.2

* Sat Apr 18 2009 areq <areq@pld-linux.org> 8f57fc0
- 5.16.4

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ae2abff
- release 5

* Sat Jun 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df7d3d3
- release 4

